--- !ruby/object:RI::ClassDescription 
attributes: 
- !ruby/object:RI::Attribute 
  comment: 
  name: name
  rw: RW
- !ruby/object:RI::Attribute 
  comment: 
  name: value
  rw: RW
class_methods: 
- !ruby/object:RI::MethodSummary 
  name: decode
- !ruby/object:RI::MethodSummary 
  name: decode_value
- !ruby/object:RI::MethodSummary 
  name: new
comment: 
constants: 
- !ruby/object:RI::Constant 
  comment: 
  name: ValueDecoderMap
  value: "{             INTEGER_TAG           => Integer,             OCTET_STRING_TAG      => OctetString,             NULL_TAG              => Null,             OBJECT_IDENTIFIER_TAG => ObjectId,             IpAddress_TAG         => IpAddress,             Counter32_TAG         => Counter32,             Gauge32_TAG           => Gauge32,             # note Gauge32 tag same as Unsigned32             TimeTicks_TAG         => TimeTicks,             Opaque_TAG            => Opaque,             Counter64_TAG         => Counter64,             NoSuchObject_TAG      => NoSuchObject,             NoSuchInstance_TAG    => NoSuchInstance,             EndOfMibView_TAG      => EndOfMibView"
full_name: SNMP::VarBind
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: asn1_type
- !ruby/object:RI::MethodSummary 
  name: each
- !ruby/object:RI::MethodSummary 
  name: encode
- !ruby/object:RI::MethodSummary 
  name: to_s
- !ruby/object:RI::MethodSummary 
  name: to_varbind
name: VarBind
superclass: Object
